---
lang: en
title: 'API docs: authorization.authorizationinterceptor._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.authorizationinterceptor._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationInterceptor](./authorization.authorizationinterceptor.md) &gt; [(constructor)](./authorization.authorizationinterceptor._constructor_.md)

## AuthorizationInterceptor.(constructor)

Constructs a new instance of the `AuthorizationInterceptor` class

<b>Signature:</b>

```typescript
constructor(authorizers: Authorizer[], options?: AuthorizationOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  authorizers | <code>Authorizer[]</code> |  |
|  options | <code>AuthorizationOptions</code> |  |


